COMO Instalar Driver ATI ubuntu

+1
+1
-1

Valido para: Dapper, Edgy, Feysti.
Bueno, esto pretende ser una ayuda para instalar drivers ati desde los repositorios... y como? ... pues con un script... no importa si no sabes lo que es eso, al final habras instalado los drivers (esperemos) y sabras que es un script (si tienes curiosidad).

Este script instala la version del driver fglrx que este disponible en los repositorios, en edgy y a dia de hoy, instala el 8.28.8, pero en feysti instala el 8.33.6 (este creo que ya no da soporte a tarjetas anteriores a la 9500)

Si quereis instalar otra version por razones de incopatiblidad con vuestra tarjeta (comprobar en: http://ati.amd.com/support/driver-sp.html ) o porque quereis el ultimo disponible o lo que sea podeis usar el script2: http://www.ubuntu-es.org/index.php?q=node/40119

Script:
Un script no es mas que una lista de instrucciones, para crearlo desde el entorno grafico abrimos un terminal y abrimos un nuevo archivo con gedit al que vamos a llamar "ati.sh":

gedit ati.sh

copiamos el texto del script que aparece al final de este post, entre las lineas -----------------
lo pegamos en la ventana que habiamos abierto con gedit
guardamos y salimos.... pues ya está... si si ..ya está, ahora para que el script instale los drivers ejecutamos el script:

sudo sh ati.sh

Os pedira la contraseña para poder instalar
observad los posibles mensajes de error y sabreis que ha podido fallar.....
por ejemplo... habeis activado universe y multiverse?... teneis conexion con internet?

reinicia el ordenador y ya debes tener driver nuevo con aceleracion 3D.

Ahora si tuvieras que volver a instalar drivers de ati .. vas a terminal y escribes: sh ati.sh ..y ya está ,,,, el archivo está en tu carpeta personal o /home/tu-nombre. si quieres usar el script en posteriores instalaciones tienes que guardarlo en algun lugar.. diskette.. otro disco..

Para comprobar que teneis aceleracion 3D, podeis escribir en terminal:

glxinfo | grep direct

para ver fps (seguramente muy pocas):

fgl_glxgears

Si alguien tiene alguna idea para mejorar el script... todas las sugerencias son bienvenidas.

.

DEBAJO DE LA LINEA EMPIEZA EL SCRIPT
------------------------------------------------------------------------

#!/bin/sh
echo Elimina antiguos paquetes fglrx..........................................
sudo apt-get remove fglrx*
echo
echo restaura xorg.conf original:.............................................
#sudo dpkg-reconfigure -phigh xserver-xorg #deshabilitado por ahora
echo
echo actualiza repositorios:..................................................
sudo apt-get update
echo
echo descarga e instala driver y restricted modules:..........................
sudo apt-get install linux-restricted-modules-$(uname -r)
sudo apt-get install xorg-driver-fglrx #este es el driver
sudo depmod -a # actualiza dependencias
echo
echo configura:...............................................................
sudo aticonfig --initial
sudo aticonfig --overlay-type=Xv
echo
echo deshabilta "composite"................................................................
dc=$(sudo grep "\"Composite\" \"Disable\"" /etc/X11/xorg.conf | grep -v \#)
if [ "$dc" = "" ]; then
printf "Section \"Extensions\"" | sudo tee -a /etc/X11/xorg.conf
echo \ | sudo tee -a /etc/X11/xorg.conf
printf " Option \"Composite\" \"Disable\"" | sudo tee -a /etc/X11/xorg.conf
echo \ | sudo tee -a /etc/X11/xorg.conf
echo Endsection | sudo tee -a /etc/X11/xorg.conf
else
echo composite ya estaba desabilitado
fi
echo
echo re-habilita modulo "fglrx" en linux/restricted/modules/common.............
lr=$(sudo grep fglrx /etc/default/linux-restricted-modules-common | grep -v \#)
if [ "$lr" = "" ]; then
echo modulo "fglrx" habilitado
exit
else
sudo cp /etc/default/linux-restricted-modules-common /etc/default/lrmc
echo re-habilitando fglrx.....
sudo grep \# /etc/default/lrmc > /etc/default/linux-restricted-modules-common
sudo grep -v DISABLED_MODULES /etc/default/lrmc | grep -v \# | tee -a /etc/default/linux-restricted-modules-common
sudo grep fglrx /etc/default/lrmc | grep -v \# | sed s/fglrx// | tee -a /etc/default/linux-restricted-modules-common
echo .....fglrx re-habilitado
fi

--------------------------------------------------------------------------------------------

.

Comentarios

Imagen de felipeperucho

Esto va a facilitarle a la vida a mucha gente.

Saludos.

Imagen de santi...

Si no te funciona, comentalo y asi vamos haciendo una lista de casos especiales:

-ATI Radeon (Via AGP) 9200 SE 128M + Placa base: K7 Triton (KT600) - FSB400 / DDR 400 / AGP 8X:
Esta combinacion no acepta aceleracion... por ahora: http://www.ubuntu-es.org/index.php?q=node/38035

.....................
...Pero no me hagas mucho caso... no soy ningun experto.

Imagen de santi...

Este script instala el driver que te hayas descargado de la pagina ati:
http://www.ubuntu-es.org/index.php?q=node/40119

La diferencia es que con este metodo podeis instalar el driver que querais... el ultimo de la pagina oficial ati o uno anterior en el caso de que vuestra tarjeta no este soportada por el de los repositorios.
Este metodo es mas complicado y tendreis que recompilar si actualizais el kernel.

.....................
...Pero no me hagas mucho caso... no soy ningun experto.

Imagen de santi...

ATI Raedon 9250... pidiendo "fglrxinfo" da este error:

fglrx] API ERROR: could not register entrypoint for SelectTextureSGIS
[fglrx] API ERROR: could not register entrypoint for SelectTextureTransformSGIS
[fglrx] API ERROR: could not register entrypoint for.....................
................................................................etc..etc

La solucion es cambiar una libreria que no va bien:

http://www.ubuntu-es.org/index.php?q=node/37644

.....................
...Pero no me hagas mucho caso... no soy ningun experto.

Imagen de pabloskielvago

hago todo... en el momento de reiniciar mi monitor me dice: Out of Range, entonces reconfiguro xserver y ejecuto glxinfo | grep direct en la terminal, pero me sale: Xlib: extension "XFree86-DRI" missing on display ":0.0".
direct rendering: No
OpenGL renderer string: Mesa GLX Indirect

Imagen de santi...

Pablo.. seguimos el hilo en tu discusion y luego siacaso ponemos resultados aqui... vale??

.....................
...Pero no me hagas mucho caso... no soy ningun experto.

Imagen de jafuentes

Idem, me sale algo similar y no funciona. He reiniciado el pc e inicia perfectamente sin embargo, al ejecutar el comando glxinfo | grep direct me dice:

direct rendering: No
OpenGL renderer string: Mesa GLX Indirect

He consultado el fichero xorg.conf y tengo esto:

Section "Device"
Identifier "ATI Technologies, Inc. RV350 AS [Radeon 9600]"
Driver "fglrx"
Option "VideoOverlay" "on"
Option "OpenGLOverlay" "off"
BusID "PCI:1:0:0"
EndSection

y a continuacion, por curiosidad, he lanzado fgl_glxgears y el resultado es el siguiente:

Using GLX_SGIX_pbuffer
X Error of failed request: BadMatch (invalid parameter attributes)
Major opcode of failed request: 143 (GLX)
Minor opcode of failed request: 5 (X_GLXMakeCurrent)
Serial number of failed request: 32
Current serial number in output stream: 32

Un saludo

Imagen de slap

Como dice santi: seguid la discusión en los foros.
Las bitácoras no son para eso.
Gracias.
______________________________
Equipo de moderadores del Foro
Normas del foro

Saludos.

0000 start out (+FD),A
           ld  BC, +7FFF
           jp 03CB, RAM-CHECK

http://www.injiniero.es

Imagen de santi...

Si te sale lo de "fuera de rango", sigue el link indicado mas abajo en el post correspondiente.

Si no tienes aceleracion ejecuta el script otra vez y vuelve a reiniciar, hay casos en los que la primera vez no puede instalarlo bien porque hay otro fglrx en uso.
Por si acaso copia el script de nuevo y sigue las instrucciones, ayer añadi una linea que desinstala fglrx anteriores y hay que ejecutarlo con sudo: sudo sh ati.sh

Si no te funciona esto abre una discusion en el foro poniendo los datos de tu ubuntu, tu tarjeta , etc.

.....................
...Pero no me hagas mucho caso... no soy ningun experto.

Imagen de jafuentes

He hecho lo que me has comentado y el resultado sigue siendo el mismo.

Antes de abrir otro hilo, y desviar quiza los comentarios, os cuento lo que tengo, por si hubiese algun problema conocido.

Ubuntu Dapper 6.06 (x86), Sapphire Radeon 9550 AGP 256 MB, y bueno, por si sirve de algo, un AMD64 3200+ y una placa ASUS K8V-X con 1 GB de RAM DDR 400.

Nota: Tengo la certeza de que en alguna ocasion si que conseguí hacer funcionar la aceleración gráfica con esta misma configuración.

Un Saludo

Imagen de santi...

Con los monitores tft a veces hay problemas que pueden confundirse con problemas del driver, este es un caso y la solucion:

http://www.ubuntu-es.org/index.php?q=node/39783#comment-93530

En el caso del link anterior el monitor funciona bien con el driver original recien instalado, pero al instalar fglrx da "señal fuera de rango", esto es porque el fglrx usa una configuracion generica de monitor que posiblemente no sirva para tft (o no para todos)

Cuando ni siquiera puedes instalar porque te da fuera de rango desde el principio se puede probar a elegir la resolucion nativa del tft, realmente los tft tienen una resolucion unica y emulan las demas resoluciones, hay que saber cual es la resolucion nativa del monitor... pero este caso todavia no lo tengo claro... ¿alguna sugerencia?

Otro caso con monitor tft:

http://www.ubuntu-es.org/index.php?q=node/39884

.....................
...Pero no me hagas mucho caso... no soy ningun experto.

Imagen de silves

(Me contestaste por otro hilo)

Si me sale "direct rendering: Yes" y un cubo en 3d girando es que ya esta el driver y con aceleracion? 0_0

Millones de gracias, a la primera y sin ningún error!(solo instaló librerias e historias del cd de ubuntu) la 1ra vez que me pasa desde que estoy con el ubuntu!

Si ya va, thanks, thanks, thanks!

Salu2!

Imagen de biotza

Primero decir que en la television seme ve en blanco y negro ,mientras en el portatil la pantalla seme ve bien .En el monitor del portatil seme vé la pelicula , pero en la television seme vé el monitor del VLC , pero no seme vé la pelicula .mi portatil es un Radeon Aspire 5051 y mi carta grafica es un ATI Xpress 1100 , mi procesador es un AMD Turion 64 .Quiero decir que el driver del ATI me lo he puesto el que esta en esta pagina , podria ser este mi fallo ?? , sim algien por favor mr podria decir algo ,esque yo esto de linux ni idea .gracias

Imagen de santi...

Primero: que ubuntu tienes instalado?
Entiendo que has instalado el driver con el script de este post... no?

EDITO:
Lo primero es ver si se ha instalado bien el driver, para eso teclea en terminal:

fglrxinfo

deberia salirte algo como esto:

display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: RADEON XPRESS Series Generic
OpenGL version string: 2.0.6011 (8.28.8)

si te sale algo de mesa el driver no esta correctamente instalado: vuelve a correr el script (sudo sh ati.sh)... reinicia y vuelve a pedir fglrxinfo.

para ver cual es el error escribe esto en terminal (copia y pega):

cat /var/log/Xorg.0.log | grep EE

y tambien:

cat /var/log/Xorg.0.log | grep WW

Luego copia los resultados aqui.

Es mas que probable que tengas que instalar el driver 64bits:

INSTALAR DRIVER DE 64bits:
Nose si tienes instalada la version 64 bits de ubuntu... supongo que para instalar este driver es necesaria esa version, pero no estoy seguro, pero por probar no se pierde nada.
Para instalar el driver ati para 64 bits:
Descarga el driver (instalador de controlador ati) de aqui: http://ati.amd.com/support/drivers/sp/linux64/linux64-radeon.html
lo descargas en el escritorio y lo instalas con este script:
http://www.ubuntu-es.org/index.php?q=node/40119

Si al reiniciar no puedes entrar al entorno grafico reinstala el anterior driver escribiendo en terminal: sudo sh ati.sh
si no llegas a un terminal de texto reinicia en recovery mode y teclea: sudo sh ati.sh

.....................
...Pero no me hagas mucho caso... no soy ningun experto.

Imagen de biotza

Aupa ,perdeno que te haya escrito haora ,esque me he puesto haora a mirar Ubuntu .
Por la primera pregunta , que Ubuntu tengo instalado ,es Edgy 6.10

Cuando le doy al :

fglrxinfo

ma sale esto :

display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: RADEON XPRESS Series Generic
OpenGL version string: 2.0.6011 (8.28 )

que seria lo mismo que atí , lo que no he entendido es , cuando dices , " si sale algo de mesa" ,no entiendo esto .

Cuando le doy al terminal , escrivo esto cat /var/log/Xorg.0.log | grep EE , me dice que no esiste este fichero .

Luego lo de instalar los drives 64bits ,el problema es que el mio , radeon xpress 1100 no esta , cual instalo ?

Gracias por las respuestas

Imagen de santi...

Bueno... el driver que instalaste con el script esta bien instalado...
Lo de que no existe este fichero es extraño... por lo que yo se deberia existir... copiaste y pegaste en terminal o lo escribiste tu mismo?... date cuenta que la X es mayuscula... prueba copiando y pegando.
Los driver que proporciona ati para linux son bastante deficientes, es posible que algunas cosas no te funcionen 100% aunque los tengas bien instalados, es muy posible que ese sea el problema.

Lo de instalar el driver 64 bits es una opcion que no se si te puede funcionar si tienes instalado el ubuntu 6.10 32bits, pero es una opcion a probar, lo suyo seria instalarte la version 64 bits de ubuntu, pero en ese caso seguramente tendrias otros problemas, las versiones 64 bit de cualquier sistema operativo, incluido guindos, suelen dar bastantes fallos ya que la mayoria del software esta diseñado para 32 bit.

Pero si quieres probar descargate el ultimo driver de ati para 64 bit... es este: http://ati.amd.com/support/drivers/sp/linux64/linux64-radeon.html
le das donde pone: instalador de controlador ati, lo guardas en el escritorio, vas a este script:
http://www.ubuntu-es.org/index.php?q=node/40119
te saltas lo de elegir y descargar driver (ya lo has descargado) y directamente creas el script y lo lanzas.
Si al reiniciar no puedes entrar al entorno grafico reinstala el anterior driver escribiendo en terminal: sudo sh ati.sh
si no llegas a un terminal de texto reinicia en recovery mode y teclea: sudo sh ati.sh

De todas formas abre una discusion en el foro describiendo tu problema, el driver esta bien instalado pero se ve que no soporta ciertas caracteristicas. Tambien busca informacion sobre tu tarjeta con amd64.

Bueno... se me olvidaba lo mas importante: antes de instalar este driver ... ¿te funcionaba bien la salida a tv????

.....................
...Pero no me hagas mucho caso... no soy ningun experto.

Imagen de biotza

Por lo de poner , cat /var/log/Xorg.0.log | grep EE , la x la pongo en mayuscula , lo que no entiendo es , cuando dices lo de "prueba copiando y pegando " , que es lo que tengo que copiar y pegar ?? , sigo probando a escribir y no me sale nada .
Lo de instalar el ultimo driver de ati para 64 bit , lo he hecho y mea salido todo bien .Lo de la salida del S-video , pienso que esta bien , porque tengo el ordenador con una particion de windows , y con este puede ver las peliculas sin problemas .He intaldo el driver de ati para 64 bit , y sigo sin poder vér las peliculas por la television . Lo que decias lo de abrir una discursion en el Foro no es mala idea.......... de todas maneras se agradece la ayuda.......... Agur

Imagen de patogoma

Has mirado el tipo de salida de la clavija Svideo en la bios del portátil? Lo mismo está en NTSC y te causa una salida en blanco y negro. Windows es capaz de obviarlo pero con Linux no lo he probado. 

 

Patogoma Del Caldera OpenLinux en un 286 a Ubuntu/Beryl 2.0 en un Core2Duo

Patogoma Del Caldera OpenLinux en un 286 a Ubuntu/Beryl 2.0 en un Core2Duo

Imagen de Cocuaz

Fantástico el script. Ha funcionado de tirona. Gracias

 

 

 

Nos vemos en los bares . . .

Imagen de Lestat_L

Hola Santi, soy otro de los muchos usuarios con problemas con la Ati. Instalé Ubuntu (soy novato) y todo iba bien hasta que actualicé los drivers con automatix bleeder. Desde entonces no he sido capaz de poner el modo 3d, antes podía usar beryl y ahora ni de coña.

 

He conseguido instalar el último driver de Ati, pero no puedo echar a andar el glr, tras poner en la consola el fglrxinfo, me sale el siguiente mensaje:

Xlib: extension "XFree86-DRI" missing on display ":0.0".
display: :0.0 screen: 0
OpenGL vendor string: Mesa project: www.mesa3d.org
OpenGL renderer string: Mesa GLX Indirect
OpenGL version string: 1.2 (1.5 Mesa 6.5.1)

Para la orden $ cat /var/log/Xorg.0.log | grep EE

(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(II) Loading extension MIT-SCREEN-SAVER
(EE) fglrx(0): GART is not initialized, disabling DRI
(EE) xf86OpenSerial: Cannot open device /dev/wacom
(EE) xf86OpenSerial: Cannot open device /dev/wacom
(EE) xf86OpenSerial: Cannot open device /dev/wacom
(EE) xf86OpenSerial: Cannot open device /dev/wacom
(EE) xf86OpenSerial: Cannot open device /dev/wacom
(EE) xf86OpenSerial: Cannot open device /dev/wacom

Y para $ cat /var/log/Xorg.0.log | grep WW

(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(WW) `fonts.dir' not found (or not valid) in "/usr/share/X11/fonts/misc".
(WW) The directory "/usr/share/X11/fonts/cyrillic" does not exist.
(WW) The directory "/usr/share/X11/fonts/100dpi/" does not exist.
(WW) The directory "/usr/share/X11/fonts/75dpi/" does not exist.
(WW) The directory "/usr/share/X11/fonts/Type1" does not exist.
(WW) The directory "/usr/share/X11/fonts/100dpi" does not exist.
(WW) The directory "/usr/share/X11/fonts/75dpi" does not exist.
(WW) `fonts.dir' not found (or not valid) in "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType".
(WW) fglrx: No matching Device section for instance (BusID PCI:1:0:1) found
(WW) fglrx(0): Failed to open DRM connection
(WW) fglrx(0): board is an unknown third party board, chipset is supported
(WW) fglrx(0): No DRM connection for driver fglrx.
(WW) fglrx(0): ***********************************************
(WW) fglrx(0): * DRI initialization failed! *
(WW) fglrx(0): * (maybe driver kernel module missing or bad) *
(WW) fglrx(0): * 2D acceleraton available (MMIO) *
(WW) fglrx(0): * no 3D acceleration available *
(WW) fglrx(0): ********************************************* *
(WW) fglrx(0): Option "VendorName" is not used
(WW) fglrx(0): Option "ModelName" is not used

 

Ya empiezo a desesperarme.

Un saludo y gracias anticipadamente.

PD: Mi tarjeta es una Ati Radeon 9600 Pro. 

INQVISITIO SAPIENTIAE

Imagen de Lestat_L

Intentando instalar la versión dos ati2.sh me da en un punto antes de compilar el kernel este mensaje:

sh: gcc: command not found
dpkg-architecture: warning: Couldn't determine gcc system type, falling back to default (native compilation)
 

INQVISITIO SAPIENTIAE

Imagen de Lestat_L

Nuevo avance.

 He conseguido llegar a instalar definitivamente la última versión que está en la página de ati y me sale esto tras hacer un fglrxinfo:

display: :0.0  screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI RADEON 9600 Series
OpenGL version string: 2.0.6400 (8.35.5)

Sin embargo beryl no me corre. Dice que no encuentra aceleración. 

INQVISITIO SAPIENTIAE

Imagen de edvalprofe

O al menos eso parece. Gracias muchas. Esperado algo como tiempo estado he. Hazlo o no lo hagas, pero no lo intentes. Que la fuerza os acompañe...

Imagen de edvalprofe

¿Pero qué COÑO he TOCADO, JODERRRRRR????????

Imagen de slap

Modera tu vocabulario. Normas del foro (4.6.2)
Este tipo de comentarios no aportan nada. Evítalos.

__________.oooO_Oooo.__________
Equipo de moderadores del Foro
Normas del foro

Saludos.

0000 start out (+FD),A
           ld  BC, +7FFF
           jp 03CB, RAM-CHECK

http://www.injiniero.es

Imagen de jessai

hola, he seguido los pasos q mencionaste y obtengo la aceleracion grafica, todo bien hasta ahi. Quiero instala beryl, lo hago con synaptic, se instala bien pero a la hora de correrlo solo hace como si cambaira las ventanas pero regresa al mismo modo. Abro una terminar y escribo "beryl manager" y me da este resultado:

  Detected xserver   :AIGLX

   Cheking Display :0.0...    :failed

No composite extension

Beryl: No composite extension

 

Y pues no me deja hacer nada, he buscado informacion acerca de esto pero nada me da resultados.

Que esta mal o alguna idea de como solucionarlo?

Gracias. 

Imagen de slap

Pon tu consulta en el foro apropiado. Las bitácoras no son para eso.

__________.oooO_Oooo.__________
Equipo de moderadores del Foro
Normas del foro

Saludos.

0000 start out (+FD),A
           ld  BC, +7FFF
           jp 03CB, RAM-CHECK

http://www.injiniero.es

Imagen de blue_pilgrim

Muchas gracias por el script. Me encontraba con un problema de visualizacón de DVD (salian descentrados y se perdia parte de la imagen) . Con mis conocimientos actuales no hubiera sido capaz de escribir el script , que me lo solucionó... Gracias de nuevo.

...///...

...///...

Imagen de tucatrin

tengo ubuntu Feisty y he puesto esto en terminal y no se que me de a entender:

glxinfo


name of display: :1.0
display: :1 screen: 0
direct rendering: No
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
GLX_ARB_multisample, GLX_EXT_visual_info, GLX_EXT_visual_rating,
GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_OML_swap_method,
GLX_SGI_make_current_read, GLX_SGIS_multisample, GLX_SGIX_hyperpipe,
GLX_SGIX_swap_barrier, GLX_SGIX_fbconfig
client glx vendor string: SGI
client glx version string: 1.4
client glx extensions:
GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context,
GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_allocate_memory,
GLX_MESA_copy_sub_buffer, GLX_MESA_swap_control,
GLX_MESA_swap_frame_usage, GLX_OML_swap_method, GLX_OML_sync_control,
GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync,
GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer,
GLX_SGIX_visual_select_group, GLX_EXT_texture_from_pixmap
GLX version: 1.2
GLX extensions:
GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context,
GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_OML_swap_method,
GLX_SGI_make_current_read, GLX_SGIS_multisample, GLX_SGIX_fbconfig,
GLX_EXT_texture_from_pixmap
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI Radeon X1200 Series
OpenGL version string: 1.2 (2.0.6747 (8.40.4))
OpenGL extensions:
GL_ARB_depth_texture, GL_ARB_fragment_program, GL_ARB_multitexture,
GL_ARB_point_parameters, GL_ARB_point_sprite, GL_ARB_shadow,
GL_ARB_shadow_ambient, GL_ARB_texture_border_clamp,
GL_ARB_texture_cube_map, GL_ARB_texture_env_add,
GL_ARB_texture_env_combine, GL_ARB_texture_env_crossbar,
GL_ARB_texture_env_dot3, GL_ARB_texture_mirrored_repeat,
GL_ARB_texture_rectangle, GL_ARB_transpose_matrix, GL_ARB_vertex_program,
GL_ARB_window_pos, GL_EXT_abgr, GL_EXT_bgra, GL_EXT_blend_color,
GL_EXT_blend_func_separate, GL_EXT_blend_minmax, GL_EXT_blend_subtract,
GL_EXT_clip_volume_hint, GL_EXT_draw_range_elements, GL_EXT_fog_coord,
GL_EXT_framebuffer_object, GL_EXT_multi_draw_arrays, GL_EXT_packed_pixels,
GL_EXT_point_parameters, GL_EXT_rescale_normal, GL_EXT_secondary_color,
GL_EXT_separate_specular_color, GL_EXT_shadow_funcs, GL_EXT_stencil_wrap,
GL_EXT_texture3D, GL_EXT_texture_edge_clamp, GL_EXT_texture_env_add,
GL_EXT_texture_env_combine, GL_EXT_texture_env_dot3,
GL_EXT_texture_lod_bias, GL_EXT_texture_object, GL_EXT_texture_rectangle,
GL_EXT_vertex_array, GL_ATI_texture_env_combine3,
GL_ATI_texture_mirror_once, GL_ATIX_texture_env_combine3,
GL_HP_occlusion_test, GL_IBM_texture_mirrored_repeat,
GL_INGR_blend_func_separate, GL_NV_blend_square, GL_NV_texgen_reflection,
GL_NV_texture_rectangle, GL_SGIS_generate_mipmap,
GL_SGIS_texture_border_clamp, GL_SGIS_texture_edge_clamp,
GL_SGIS_texture_lod, GL_SGIX_shadow_ambient, GL_SUN_multi_draw_arrays

visual x bf lv rg d st colorbuffer ax dp st accumbuffer ms cav
id dep cl sp sz l ci b ro r g b a bf th cl r g b a ns b eat
----------------------------------------------------------------------
0x2c 24 tc 0 32 0 r y . 8 8 8 8 0 24 8 0 0 0 0 0 0 None
0x2d 24 tc 0 32 0 r . . 8 8 8 8 0 0 0 0 0 0 0 0 0 None
0x2e 32 tc 0 32 0 r y . 8 8 8 8 0 24 8 0 0 0 0 0 0 Ncon
0x2f 32 tc 0 32 0 r . . 8 8 8 8 0 0 0 0 0 0 0 0 0 Ncon

cat /var/log/Xorg.0.log | grep EE

(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(II) Loading extension MIT-SCREEN-SAVER
(EE) xf86OpenSerial: Cannot open device /dev/input/wacom
(EE) xf86OpenSerial: Cannot open device /dev/input/wacom
(EE) xf86OpenSerial: Cannot open device /dev/input/wacom

cat /var/log/Xorg.0.log | grep WW

(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
(WW) fglrx(0): board is an unknown third party board, chipset is supported
(WW) fglrx(0): Only one display is connnected,so single mode is enabled
(WW) fglrx(0): Video Overlay not supported on AVIVO based graphics cards.
(WW) fglrx(0): Option "VendorName" is not used
(WW) fglrx(0): Option "ModelName" is not used

tengo una ATI Radeon X1200 , si alguien me puede ayudar, se lo agradeceria de la mejor manera ,, gracias !! dejo mi msn xq ando todo el dia por ahi , y si hayo la respuesta la publico por aca!!

*********************

 

Imagen de slap

No está permitido pedir respuestas por correo.
Lee las normas.
Gracias.


Saludos.

0000 start out (+FD),A
           ld  BC, +7FFF
           jp 03CB, RAM-CHECK

http://www.injiniero.es

Imagen de Litman

Hola soy nuevo en Ubuntu, logre instalar el driver gracias a tu script y al poner en el terminal fglrxinfo me sale:

display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: Radeon X300/X550/X1050 Series
OpenGL version string: 2.1.7281 Release

hasta ahi todo va bien al poner en el terminal glxinfo | grep direct para ver la acelaracion 3d me sale:

direct rendering: No (If you want to find out why, try setting LIBGL_DEBUG=verbose)
OpenGL renderer string: Mesa GLX Indirect

no se que esta mal me podrias decir que esta mal y que debo hacer de antemano agradezco tu ayuda.

 

Ghostlit

Imagen de santi...

Perdona por no responder antes, pero este hilo es bastante viejo... es válido solo para algunas versiones de ubuntu (edgy, Dapper, Feisty); en la version que está disponible actualmente (Gutsy) no es necesario todo esto ya que el sistema se encarga de gestionar los controladores restringidos:

Sistema/Administracion/Gestor de Controladores Restringidos

Ahí puedes gestionar el uso de tu controlador (driver) ATI 

De todas formas según dice fglrxinfo tienes el driver instalado,  (recuerda reiniciar el equipo)  aunque sigue con el OpenGL de "Mesa" (el que viene por defecto).

.....................
...Pero no me hagas mucho caso... no soy ningun experto.

Imagen de anmorsa

Me ha funcionado perfectamente, mi configuracion es la siguiente.

OS = Ubuntu 8.04 version de 64 bits
Procesador = AMD Athlon de 64 bits
Grafica = ATI Radeon 9550

Muchas gracias a los que ven por ayudar a los ciegos.

Imagen de Surfaz

Este script está obsoleto.

Además este script deshabilita la posibilidad de usar los efectos de escritorio al desactivar la extension composite del xorg.

la forma recomendada de instalar el último driver de la web de Ati es esta:

http://doc.ubuntu-es.org/ATI/Radeon_9500_o_superior

***********************
No consultar nuestro wiki es directamente proporcional a la probabilidad de que no encuentres la solución a tu problema.

Imagen de gnomopunketo

Ubuntu Keramic Koala 9.10, Ati Radeon Express 200 (soportada aun).
Todo se instala solo sale un "E:" pero al final nada funciona

Imagen de ivanocs

hola esto es lo que me sale y no se si esta o no esta instalado, ya que sigo con el mismo problema de la configuracion de la tarjeta grafica, si alguien sabe como lo puedo tener activado seria genial...

ivanocs@ivanocs:~$ glxinfo | grep direct
X Error of failed request: BadRequest (invalid request code or no such operation)
Major opcode of failed request: 135 (GLX)
Minor opcode of failed request: 19 (X_GLXQueryServerString)
Serial number of failed request: 16
Current serial number in output stream: 16
ivanocs@ivanocs:~$ fgl_glxgears
Using GLX_SGIX_pbuffer
X Error of failed request: BadRequest (invalid request code or no such operation)
Major opcode of failed request: 135 (GLX)
Minor opcode of failed request: 19 (X_GLXQueryServerString)
Serial number of failed request: 16
Current serial number in output stream: 16
ivanocs@ivanocs:~$

Ivanocs

Imagen de ivanocs

Me sale esto y no nivela la actividad de mi tarjeta grafica, la segunda pantalla vibra o mejor dicho no es estable

ivanocs@ivanocs:~$ glxinfo | grep direct
X Error of failed request: BadRequest (invalid request code or no such operation)
Major opcode of failed request
: 135 (GLX)
Minor opcode of failed request: 19 (X_GLXQueryServerString)
Serial number of failed request: 16
Current serial number in output stream: 16
ivanocs@ivanocs:~$ fgl_glxgears
Using GLX_SGIX_pbuffer
X Error of failed request: BadRequest (invalid request code or no such operation)
Major opcode of failed request: 135 (GLX)
Minor opcode of failed request: 19 (X_GLXQueryServerString)
Serial number of failed request: 16
Current serial number in output stream: 16
ivanocs@ivanocs:~$

Ivanocs

Imagen de diegoesqui

No soy ningun experto en esto ni mucho menos, pero yo he probado algo que no estaba en ningun foro de los que he leido y me funciona a la perfeccion. Y es super facil.

1) Entras en la pagina oficial de ATI y descargas el controlador de tu grafica para linux desde el siguiente enlace

http://support.amd.com/us/gpudownload/Pages/index.aspx

Deberias tener un archivo con .run de unos 100Mb aproximadamente.

2) click derecho sobre el archivo que acabas de descargar > Propiedades > Pestaña "Permisos"
Marcas la casilla "Permitir ejecutar el archivo como un programa". Aceptar

3) Doble click al archivo y se abrirá un asistente de instalacion del estilo de cualquier .exe o setup de windows.

4) siguiente, siguiente, siguiente... y a disfrutar.

Espero que les sirva.

un saludo

Imagen de Gearstkm

/* Comentario moderado */

Por favor lee las normas.
Si tienes dudas o problemas que no guardan relación con este hilo deberás abrir tu propio hilo.

Gracias.

/* Comentario moderado */